<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package TA_Business
 */

?>

	</div><!-- #content -->
	<footer id="colophon" class="site-footer">
    
        <div class="tab-footer-main">
            <div class="tab-container tab-clearfix">
                
                <?php if(is_active_sidebar('ta-business-footer-one')){ ?>
                    <div id="tab-footer-one" class="tab-footer">
                        <?php dynamic_sidebar('ta-business-footer-one'); ?>
                    </div>
                <?php } ?>
                
                <?php if(is_active_sidebar('ta-business-footer-two')){ ?>
                    <div id="tab-footer-two" class="tab-footer">
                        <?php dynamic_sidebar('ta-business-footer-two'); ?>
                    </div>
                <?php } ?>
                
                <?php if(is_active_sidebar('ta-business-footer-three')){ ?>
                    <div id="tab-footer-three" class="tab-footer">
                        <?php dynamic_sidebar('ta-business-footer-three'); ?>
                    </div>
                <?php } ?>
                
            </div>
        </div>
		<div class="site-info">
            <div class="tab-container">
    			<div class="site-info">
        			<div class="copyright-credit">
                        <?php $ta_business_footer_credit = get_theme_mod( 'ta_business_footer_credit'); ?>
                        <span class="credit-text"><?php echo esc_html($ta_business_footer_credit);?></span>
            			<span class="mideator"> - </span>
            			<?php printf( esc_html__( 'TA Business By %1$s.', 'ta-business' ), '<a href="'.esc_url( 'https://themesarray.com' ).'" rel="designer">'.esc_html__('Themesarray', 'ta-business').'</a>' ); ?>
    	           </div><!-- .site-info -->
        		</div><!-- .site-info -->
            </div>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
