<?php
/** Post Category List **/
function ta_business_Category_list(){
    $ta_business_cat_lists = get_categories(
        array(
            'hide_empty' => '0',
            'exclude' => '1',
        )
    );
    $ta_business_cat_array = array();
    $ta_business_cat_array['0'] = esc_html__('--Select--','ta-business');
    foreach($ta_business_cat_lists as $ta_business_cat_list){
        
        $ta_business_cat_array[$ta_business_cat_list->slug] = $ta_business_cat_list->name;
    }
    return $ta_business_cat_array;
}

function ta_business_Posts_List(){
    wp_reset_postdata();
    $ta_business_posts = get_posts(array('posts_per_page' => -1));
    $ta_business_posts_array = array();
    $ta_business_posts_array[''] = esc_html__('--Choose--','ta-business');
    foreach($ta_business_posts as $ta_business_post){
        $ta_business_posts_array[$ta_business_post->ID] = $ta_business_post->post_title;
    }
    return $ta_business_posts_array;
}

function ta_business_Page_list(){
    $ta_business_page_lists = get_pages();
    $ta_business_page_array = array();
    $ta_business_page_array[''] = esc_html__('--Choose--','ta-business');
    foreach($ta_business_page_lists as $ta_business_page_list){
        $ta_business_page_array[$ta_business_page_list->ID] = $ta_business_page_list->post_title;
    }
    return $ta_business_page_array;
}


/** Month List **/
function ta_business_month(){
    $ta_business_months = array('January','February','March','April','May','June','July','August','September','October','November','December');
    $ta_business_month_array = array();
   foreach($ta_business_months as $ta_business_month)
    {
         $ta_business_month_array[$ta_business_month] = $ta_business_month;
          
    }
    return $ta_business_month_array;
}

/** Day List **/
function ta_business_day(){
    for($ta_business_day_count = 1; $ta_business_day_count <= 32; $ta_business_day_count++)
    {
         $ta_business_day_array[$ta_business_day_count] = $ta_business_day_count;
    }
    return $ta_business_day_array;
}

/** Year List **/
function ta_business_year(){
    $ta_business_year_lists = date("Y");
    $ta_business_year_count = $ta_business_year_lists + 10;
   for($ta_business_year_lists = $ta_business_year_lists; $ta_business_year_lists <= $ta_business_year_count; $ta_business_year_lists++)
    {
         $ta_business_year_array[$ta_business_year_lists] = $ta_business_year_lists;
          
    }
    return $ta_business_year_array;
}

/** Time List **/
function ta_business_time(){
    for($ta_business_time_count = 1;$ta_business_time_count <= 24;$ta_business_time_count++)
    {
         $ta_business_time_array[$ta_business_time_count] = $ta_business_time_count;
    }
    return $ta_business_time_array;
}

if( ! function_exists( 'ta_business_home_sections_ed' ) ) :

    /** Returns Home Sections  **/
    function ta_business_home_sections_ed(){
        
        $sections = array( 'about','service','portfolio','counter','countdown','team','blog','subscribe','testimonial','contact','client');
        
        $ed_section = array();
        
        foreach( $sections as $section ){

            $enable_disable_section = get_theme_mod('ta_business_'.$section.'_enable_disable');

            if( $enable_disable_section == 'enable' ){
                $ed_section[] = $section;
            }
        }  
        
        return $ed_section;
    }

endif;

/** Home Slider **/
function ta_business_home_slider(){
    $ta_business_slide_cat = get_theme_mod('ta_business_slide_cat');
    $ta_business_read_more_text = get_theme_mod('ta_business_read_more_text',esc_html__('Read More','ta-business') );
    $slider_image_query = new WP_Query(array('post_type'=>'post','posts_per_page'=>-1,'category_name'=>$ta_business_slide_cat));
    if($ta_business_slide_cat && $slider_image_query->have_posts()){?>
        <div class="owl-carousel slider-loop-wrap">

            <?php while($slider_image_query->have_posts()){ 
                $slider_image_query->the_post(); ?>
                    <div class="main-slider-contents">
                        <?php $tab_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'ta-business-slider-image'); 
                        if($tab_slider_image[0]){ ?>
                            <div class="slider-image">
                                <img alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" src="<?php echo esc_url($tab_slider_image[0]); ?>" />
                            </div>
                        <?php } ?>
                        
                        <?php if(get_the_content() || get_the_title()){ ?>
                            <div class="tab-container">
                                <div class="slider-contents">
                                    <div class="secondary-slider">
                                        <h2 class="slider-title"><?php the_title(); ?></h2>
                                        <div class="desc-slider">
                                            <?php the_excerpt(); ?>
                                            <a href="<?php the_permalink(); ?>"><?php echo esc_html( $ta_business_read_more_text ); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                        
                    </div>
            <?php } ?>

        </div>
    <?php }
}
add_action('ta_business_home_slider_callback','ta_business_home_slider',5);

/** Slider Feature Posts **/
function t_business_home_slider_featured_post(){

    $ta_business_slider_feature_post_icon_one = get_theme_mod('ta_business_slider_feature_post_icon_one');
    $ta_business_slide_feature_post_one = get_theme_mod('ta_business_slide_feature_post_one');
    $ta_business_slide_feature_post_color_one = get_theme_mod('ta_business_slide_feature_post_color_one');
    if($ta_business_slide_feature_post_color_one == ''){
        $ta_business_slide_feature_post_color_one = '#aa9d89';
    }
    
    $ta_business_slider_feature_post_icon_two = get_theme_mod('ta_business_slider_feature_post_icon_two');
    $ta_business_slide_feature_post_two = get_theme_mod('ta_business_slide_feature_post_two');
    $ta_business_slide_feature_post_color_two = get_theme_mod('ta_business_slide_feature_post_color_two');
    if($ta_business_slide_feature_post_color_two == ''){
        $ta_business_slide_feature_post_color_two = '#0090a0';
    }
    
    $ta_business_slider_feature_post_icon_three = get_theme_mod('ta_business_slider_feature_post_icon_three');
    $ta_business_slide_feature_post_three = get_theme_mod('ta_business_slide_feature_post_three');
    $ta_business_slide_feature_post_color_three = get_theme_mod('ta_business_slide_feature_post_color_three');
    if($ta_business_slide_feature_post_color_three == ''){
        $ta_business_slide_feature_post_color_three = '#00a478';
    }
    
    $ta_business_slider_feature_post_icon_four = get_theme_mod('ta_business_slider_feature_post_icon_four');
    $ta_business_slide_feature_post_four = get_theme_mod('ta_business_slide_feature_post_four');
    $ta_business_slide_feature_post_color_four = get_theme_mod('ta_business_slide_feature_post_color_four');
    if($ta_business_slide_feature_post_color_four == ''){
        $ta_business_slide_feature_post_color_four = '#237f77';
    }
    
    if($ta_business_slide_feature_post_one || 
    $ta_business_slide_feature_post_two || 
    $ta_business_slide_feature_post_three){
    $ta_business_slider_feature_post_layout = get_theme_mod('ta_business_slider_feature_post_layout');
    if($ta_business_slider_feature_post_layout == ''){ $ta_business_slider_feature_post_layout = 'layout-1'; }
    ?>
        
        <div class="slider-feature-posts tab-clearfix <?php echo esc_attr($ta_business_slider_feature_post_layout); ?>">
            <?php if($ta_business_slider_feature_post_layout == 'layout-1'){ ?>
            <div class="tab-container tab-clearfix">
            <?php } ?>
                <?php 
                $ta_business_slide_feature_post_one_query = new WP_Query(array('post_type'=>'post','posts_per_page' => -1,'post__in'=>array($ta_business_slide_feature_post_one)));
                if($ta_business_slide_feature_post_one_query->have_posts()){ ?>
                    <div style="background: <?php echo esc_attr($ta_business_slide_feature_post_color_one); ?>;" id="slider-post-one" class="slider-feature-post-secondary">
                        <?php while($ta_business_slide_feature_post_one_query->have_posts()){
                            $ta_business_slide_feature_post_one_query->the_post(); ?>
                            
                            <div class="content-slider-feature">
                            
                                <?php if($ta_business_slider_feature_post_icon_one){ ?>
                                    <span>
                                        <i class="fa <?php echo esc_attr($ta_business_slider_feature_post_icon_one); ?>"></i>
                                    </span>
                                <?php } ?>
                                
                                <?php if(get_the_title()){ ?>
                                    <div class="link-slider-feature">
                                        <a href="<?php the_permalink(); ?>">
                                            <?php the_title(); ?>
                                        </a>
                                    </div>
                                <?php } ?>
                                
                                <?php if($ta_business_slider_feature_post_layout == 'layout-2'){ ?>
                                    <?php if( get_the_content() ){ ?>
                                    
                                        <div class="tab-slider-feature-desc">
                                                <?php echo esc_html(wp_trim_words(get_the_content(),20,'')); ?>
                                        </div>
                                        
                                        <div class="read-more-slider-feature">
                                            <a href="<?php the_permalink(); ?>">
                                                <?php esc_html_e('Read More','ta-business'); ?>
                                            </a>
                                        </div>
                                        
                                    <?php } ?>
                                <?php } ?>
                                
                            </div>
                        <?php } ?>
                    </div>
                <?php wp_reset_postdata(); } ?>
                
                <?php 
                $ta_business_slide_feature_post_two_query = new WP_Query(array('post_type'=>'post','posts_per_page' => -1,'post__in'=>array($ta_business_slide_feature_post_two)));
                if($ta_business_slide_feature_post_two_query->have_posts()){ ?>
                    <div style="background: <?php echo esc_attr($ta_business_slide_feature_post_color_two); ?>;" id="slider-post-two" class="slider-feature-post-secondary">
                        <?php while($ta_business_slide_feature_post_two_query->have_posts()){
                            $ta_business_slide_feature_post_two_query->the_post(); ?>
                            
                            <div class="content-slider-feature">
                            
                                <?php if($ta_business_slider_feature_post_icon_two){ ?>
                                    <span>
                                        <i class="fa <?php echo esc_attr($ta_business_slider_feature_post_icon_two); ?>"></i>
                                    </span>
                                <?php } ?>
                                
                                <?php if(get_the_title()){ ?>
                                    <div class="link-slider-feature">
                                        <a href="<?php the_permalink(); ?>">
                                            <?php the_title(); ?>
                                        </a>
                                    </div>
                                <?php } ?>
                                
                                <?php if($ta_business_slider_feature_post_layout == 'layout-2'){ ?>
                                    <?php if(get_the_content()){ ?>
                                    
                                        <div class="tab-slider-feature-desc">
                                                <?php echo esc_html(wp_trim_words(get_the_content(),20,'')); ?>
                                        </div>
                                        
                                        <div class="read-more-slider-feature">
                                            <a href="<?php the_permalink(); ?>">
                                                <?php esc_html_e('Read More','ta-business'); ?>
                                            </a>
                                        </div>
                                        
                                    <?php } ?>
                                <?php } ?>
                                
                            </div>
                        <?php } ?>
                    </div>
                <?php wp_reset_postdata(); } ?>
                
                <?php 
                $ta_business_slide_feature_post_three_query = new WP_Query(array('post_type'=>'post','posts_per_page' => -1,'post__in'=>array($ta_business_slide_feature_post_three)));
                if($ta_business_slide_feature_post_three_query->have_posts()){ ?>
                    <div style="background: <?php echo esc_attr($ta_business_slide_feature_post_color_three); ?>;" id="slider-post-three" class="slider-feature-post-secondary">
                        <?php while($ta_business_slide_feature_post_three_query->have_posts()){
                            $ta_business_slide_feature_post_three_query->the_post(); ?>
                            
                            <div class="content-slider-feature">
                            
                                <?php if($ta_business_slider_feature_post_icon_three){ ?>
                                    <span>
                                        <i class="fa <?php echo esc_attr($ta_business_slider_feature_post_icon_three); ?>"></i>
                                    </span>
                                <?php } ?>
                                
                                <?php if(get_the_title()){ ?>
                                    <div class="link-slider-feature">
                                        <a href="<?php the_permalink(); ?>">
                                            <?php the_title(); ?>
                                        </a>
                                    </div>
                                <?php } ?>
                                
                                <?php if($ta_business_slider_feature_post_layout == 'layout-2'){ ?>
                                    <?php if(get_the_content()){ ?>
                                    
                                        <div class="tab-slider-feature-desc">
                                                <?php echo esc_html(wp_trim_words(get_the_content(),20,'')); ?>
                                        </div>
                                        
                                        <div class="read-more-slider-feature">
                                            <a href="<?php the_permalink(); ?>">
                                                <?php esc_html_e('Read More','ta-business'); ?>
                                            </a>
                                        </div>
                                        
                                    <?php } ?>
                                <?php } ?>
                                
                            </div>
                        <?php } ?>
                    </div>
                <?php wp_reset_postdata(); } ?>
                
                <?php 
                $ta_business_slide_feature_post_four_query = new WP_Query(array('post_type'=>'post','posts_per_page' => -1,'post__in'=>array($ta_business_slide_feature_post_four)));
                if($ta_business_slide_feature_post_four_query->have_posts()){ ?>
                    <div style="background: <?php echo esc_attr($ta_business_slide_feature_post_color_four); ?>;" id="slider-post-four" class="slider-feature-post-secondary">
                        <?php while($ta_business_slide_feature_post_four_query->have_posts()){
                            $ta_business_slide_feature_post_four_query->the_post(); ?>
                            
                            <div class="content-slider-feature">
                            
                                <?php if($ta_business_slider_feature_post_icon_four){ ?>
                                    <span>
                                        <i class="fa <?php echo esc_attr($ta_business_slider_feature_post_icon_four); ?>"></i>
                                    </span>
                                <?php } ?>
                                
                                <?php if(get_the_title()){ ?>
                                    <div class="link-slider-feature">
                                        <a href="<?php the_permalink(); ?>">
                                            <?php the_title(); ?>
                                        </a>
                                    </div>
                                <?php } ?>
                                
                                <?php if($ta_business_slider_feature_post_layout == 'layout-2'){ ?>
                                    <?php if(get_the_content()){ ?>
                                    
                                        <div class="tab-slider-feature-desc">
                                                <?php echo esc_html(wp_trim_words(get_the_content(),20,'...')); ?>
                                        </div>
                                        
                                        <div class="read-more-slider-feature">
                                            <a href="<?php the_permalink(); ?>">
                                                <?php esc_html_e('Read More','ta-business'); ?>
                                            </a>
                                        </div>
                                        
                                    <?php } ?>
                                <?php } ?>
                                
                            </div>
                        <?php } ?>
                    </div>
                <?php wp_reset_postdata(); } ?>
                
            <?php if($ta_business_slider_feature_post_layout == 'layout-1'){ ?>
            </div>
            <?php } ?>
        </div>
    <?php }
}
add_action('ta_business_home_slider_callback','t_business_home_slider_featured_post',10);
/** Breadcrumb Function **/
function ta_business_header_banner_x() {
	if(is_home() || is_front_page()) :
	else :
    $ta_business_breadcrumb_image = get_header_image();
		?>
			<div class="tab-breadcrumb" <?php if($ta_business_breadcrumb_image){ ?>style="background-image: url(<?php echo esc_url($ta_business_breadcrumb_image); ?>);" <?php } ?> >
                <div class="tab-container">
    				<div class="tab-breadcrumb-title">

                        <?php ta_business_breadcrumbs_titles(); ?>

                        <?php
    						if(is_archive()) {
    							the_archive_title( '<h1 class="page-title">', '</h1>' );
    							the_archive_description( '<div class="taxonomy-description">', '</div>' );
    						} elseif(is_single() || is_singular('page')) {
    							wp_reset_postdata();
    							the_title('<h1 class="page-title">', '</h1>');
    						} elseif(is_search()) {
                                ?>
                                <h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'ta-business' ), '<span>' . esc_html(get_search_query()) . '</span>' ); ?></h1>
                                <?php
                            } elseif(is_404()) {
                                ?>
                                <h1 class="page-title"><?php esc_html_e( '404 Error', 'ta-business' ); ?></h1>
                                <?php
                            }
    					?>
    					
    				</div>
                </div>
			</div>
		<?php
	endif;
}
add_action('ta_business_header_banner', 'ta_business_header_banner_x');

/** Breadcrumb Sanitize **/
function ta_business_sanitize_bradcrumb($input){
    $all_tags = array(
        'a'=>array(
            'href'=>array()
        ),
        'i'=>array(
            'class'=>array()
        )
     );
    return wp_kses($input,$all_tags);
    
}

/** Breadcrumb Titles **/
function ta_business_breadcrumbs_titles() {
    global $post;
    $showOnHome = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show

    $delimiter = '&hhh;';

    $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
    $homeLink = esc_url( home_url() );

    if (is_home() || is_front_page()) {

        if ($showOnHome == 1)
            echo '<div id="tab-breadcrumb"><a href="' . $homeLink . '">' . esc_html__('Home', 'ta-business') . '</a></div></div>';
    } else {

        echo '<div id="tab-breadcrumb"><a href="' . $homeLink . '">' . esc_html__('Home', 'ta-business') . '</a> <i class="fa fa-angle-right" aria-hidden="true"></i> ';

        if (is_category()) {
            $thisCat = get_category(get_query_var('cat'), false);
            if ($thisCat->parent != 0)
                echo get_category_parents($thisCat->parent, TRUE, ' <i class="fa fa-angle-right" aria-hidden="true"></i> ');
            echo '<span class="current">' . esc_html__('Archive By Category','ta-business').' "' . esc_html(single_cat_title('', false)) . '"</span>';
        } elseif (is_search()) {
            echo '<span class="current">' . esc_html__('Search results for','ta-business'). '"' . esc_html(get_search_query()) . '"' . '</span>';
        } elseif (is_day()) {
            echo '<a href="' . esc_url(get_year_link(esc_attr(get_the_time('Y')))) . '">' . esc_html(get_the_time('Y')) . '</a> <i class="fa fa-angle-right" aria-hidden="true"></i> ';
            echo '<a href="' . esc_url(get_month_link(esc_attr(get_the_time('Y')), esc_attr(get_the_time('m')))) . '">' . esc_html(get_the_time('F')) . '</a> <i class="fa fa-angle-right" aria-hidden="true"></i> ';
            echo '<span class="current">' . esc_html(get_the_time('d')) . '</span>';
        } elseif (is_month()) {
            echo '<a href="' . esc_url(get_year_link(esc_attr(get_the_time('Y')))) . '">' . esc_html(get_the_time('Y')) . '</a> <i class="fa fa-angle-right" aria-hidden="true"></i> ';
            echo '<span class="current">' . esc_html(get_the_time('F')) . '</span>';
        } elseif (is_year()) {
            echo '<span class="current">' . esc_html(get_the_time('Y')) . '</span>';
        } elseif (is_single() && !is_attachment()) {
            if (get_post_type() != 'post') {
                $post_type = get_post_type_object(get_post_type());
                $slug = $post_type->rewrite;
                echo '<a href="' . esc_url($homeLink) . '/' . esc_attr($slug['slug']) . '/">' . esc_html($post_type->labels->singular_name) . '</a>';
                if ($showCurrent == 1)
                    echo ' <i class="fa fa-angle-right" aria-hidden="true"></i><span class="current">' . esc_html(get_the_title()) . '</span>';
            } else {
                $cat = get_the_category();
                $cat = $cat[0];
                $cats = get_category_parents($cat, TRUE, ' <i class="fa fa-angle-right" aria-hidden="true"></i> ');
                if ($showCurrent == 0)
                    $cats = preg_replace('#^(.+)\s<i class="fa fa-angle-right" aria-hidden="true"></i>\s$#', "$1", $cats);
                echo ta_business_sanitize_bradcrumb($cats);
                if ($showCurrent == 1)
                    echo '<span class="current">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (!is_single() && !is_page() && get_post_type() != 'post' && !is_404()) {
            $post_type = get_post_type_object(get_post_type());
            if($post_type){
            echo '<span class="current">' . esc_html($post_type->labels->singular_name) . '</span>';
            }
        } elseif (is_attachment()) {
            if ($showCurrent == 1) echo ' ' . '<span class="current">' . esc_html(get_the_title()) . '</span>';
        } elseif (is_page() && !$post->post_parent) {
            if ($showCurrent == 1)
                echo '<span class="current">' . esc_html(get_the_title()) . '</span>';
        } elseif (is_page() && $post->post_parent) {
            $parent_id = $post->post_parent;
            $breadcrumbs = array();
            while ($parent_id) {
                $page = get_page($parent_id);
                $breadcrumbs[] = '<a href="' . esc_url(get_permalink($page->ID)) . '">' . esc_html(get_the_title($page->ID)) . '</a>';
                $parent_id = $page->post_parent;
            }
            $breadcrumbs = array_reverse($breadcrumbs);
            for ($i = 0; $i < count($breadcrumbs); $i++) {
                echo ta_business_sanitize_bradcrumb($breadcrumbs[$i]);
                if ($i != count($breadcrumbs) - 1)
                    echo ' <i class="fa fa-angle-right" aria-hidden="true"></i> ';
            }
            if ($showCurrent == 1)
                echo ' <i class="fa fa-angle-right" aria-hidden="true"></i><span class="current">' . esc_html(get_the_title()) . '</span>';
        } elseif (is_tag()) {
            echo '<span class="current">' . esc_html__('Posts tagged','ta-business').' "' . esc_html(single_tag_title('', false)) . '"' . '</span>';
        } elseif (is_author()) {
            global $author;
            $userdata = get_userdata($author);
            echo '<span class="current">' . esc_html__('Articles posted by ','ta-business'). esc_html($userdata->display_name) . '</span>';
        } elseif (is_404()) {
            echo '<span class="current">' . esc_html__('Error 404','ta-business') . '</span>';
        }

        if (get_query_var('paged')) {
            if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
                echo ' (';
            echo esc_html__('Page', 'ta-business') . ' ' . get_query_var('paged');
            if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
                echo ')';
        }

        echo '</div>';
    }
}

/** FA Icon Lists **/
function ta_business_FA_icons(){
    return $array_exp = array("","address-book-o","address-card","address-card-o","bandcamp","bath","bathtub","drivers-license","drivers-license-o","eercast","envelope-open","envelope-open-o","etsy","free-code-camp","grav","handshake-o","id-badge","id-card","id-card-o","imdb","linode","meetup","microchip","podcast","quora","ravelry","s15","shower","snowflake-o","superpowers","telegram","thermometer","thermometer-0","thermometer-1","thermometer-2","thermometer-3","thermometer-4","thermometer-empty","thermometer-full","thermometer-half","thermometer-quarter","thermometer-three-quarters","times-rectangle","times-rectangle-o","user-circle","user-circle-o","user-o","vcard","vcard-o","window-close","window-close-o","window-maximize","window-minimize","window-restore","wpexplorer","address-book","address-book-o","address-card","address-card-o","adjust","american-sign-language-interpreting","anchor","archive","area-chart","arrows","arrows-h","arrows-v","asl-interpreting","assistive-listening-systems","asterisk","at","audio-description","automobile","balance-scale","ban","bank","bar-chart","bar-chart-o","barcode","bars","bath","bathtub","battery","battery-0","battery-1","battery-2","battery-3","battery-4","battery-empty","battery-full","battery-half","battery-quarter","battery-three-quarters","bed","beer","bell","bell-o","bell-slash","bell-slash-o","bicycle","binoculars","birthday-cake","blind","bluetooth","bluetooth-b","bolt","bomb","book","bookmark","bookmark-o","braille","briefcase","bug","building","building-o","bullhorn","bullseye","bus","cab","calculator","calendar","calendar-check-o","calendar-minus-o","calendar-o","calendar-plus-o","calendar-times-o","camera","camera-retro","car","caret-square-o-down","caret-square-o-left","caret-square-o-right","caret-square-o-up","cart-arrow-down","cart-plus","cc","certificate","check","check-circle","check-circle-o","check-square","check-square-o","child","circle","circle-o","circle-o-notch","circle-thin","clock-o","clone","close","cloud","cloud-download","cloud-upload","code","code-fork","coffee","cog","cogs","comment","comment-o","commenting","commenting-o","comments","comments-o","compass","copyright","creative-commons","credit-card","credit-card-alt","crop","crosshairs","cube","cubes","cutlery","dashboard","database","deaf","deafness","desktop","diamond","dot-circle-o","download","drivers-license","drivers-license-o","edit","ellipsis-h","ellipsis-v","envelope","envelope-o","envelope-open","envelope-open-o","envelope-square","eraser","exchange","exclamation","exclamation-circle","exclamation-triangle","external-link","external-link-square","eye","eye-slash","eyedropper","fax","feed","female","fighter-jet","file-archive-o","file-audio-o","file-code-o","file-excel-o","file-image-o","file-movie-o","file-pdf-o","file-photo-o","file-picture-o","file-powerpoint-o","file-sound-o","file-video-o","file-word-o","file-zip-o","film","filter","fire","fire-extinguisher","flag","flag-checkered","flag-o","flash","flask","folder","folder-o","folder-open","folder-open-o","frown-o","futbol-o","gamepad","gavel","gear","gears","gift","glass","globe","graduation-cap","group","hand-grab-o","hand-lizard-o","hand-paper-o","hand-peace-o","hand-pointer-o","hand-rock-o","hand-scissors-o","hand-spock-o","hand-stop-o","handshake-o","hard-of-hearing","hashtag","hdd-o","headphones","heart","heart-o","heartbeat","history","home","hotel","hourglass","hourglass-1","hourglass-2","hourglass-3","hourglass-end","hourglass-half","hourglass-o","hourglass-start","i-cursor","id-badge","id-card","id-card-o","image","inbox","industry","info","info-circle","institution","key","keyboard-o","language","laptop","leaf","legal","lemon-o","level-down","level-up","life-bouy","life-buoy","life-ring","life-saver","lightbulb-o","line-chart","location-arrow","lock","low-vision","magic","magnet","mail-forward","mail-reply","mail-reply-all","male","map","map-marker","map-o","map-pin","map-signs","meh-o","microchip","microphone","microphone-slash","minus","minus-circle","minus-square","minus-square-o","mobile","mobile-phone","money","moon-o","mortar-board","motorcycle","mouse-pointer","music","navicon","newspaper-o","object-group","object-ungroup","paint-brush","paper-plane","paper-plane-o","paw","pencil","pencil-square","pencil-square-o","percent","phone","phone-square","photo","picture-o","pie-chart","plane","plug","plus","plus-circle","plus-square","plus-square-o","podcast","power-off","print","puzzle-piece","qrcode","question","question-circle","question-circle-o","quote-left","quote-right","random","recycle","refresh","registered","remove","reorder","reply","reply-all","retweet","road","rocket","rss","rss-square","s15","search","search-minus","search-plus","send","send-o","server","share","share-alt","share-alt-square","share-square","share-square-o","shield","ship","shopping-bag","shopping-basket","shopping-cart","shower","sign-in","sign-language","sign-out","signal","signing","sitemap","sliders","smile-o","snowflake-o","soccer-ball-o","sort","sort-alpha-asc","sort-alpha-desc","sort-amount-asc","sort-amount-desc","sort-asc","sort-desc","sort-down","sort-numeric-asc","sort-numeric-desc","sort-up","space-shuttle","spinner","spoon","square","square-o","star","star-half","star-half-empty","star-half-full","star-half-o","star-o","sticky-note","sticky-note-o","street-view","suitcase","sun-o","support","tablet","tachometer","tag","tags","tasks","taxi","television","terminal","thermometer","thermometer-0","thermometer-1","thermometer-2","thermometer-3","thermometer-4","thermometer-empty","thermometer-full","thermometer-half","thermometer-quarter","thermometer-three-quarters","thumb-tack","thumbs-down","thumbs-o-down","thumbs-o-up","thumbs-up","ticket","times","times-circle","times-circle-o","times-rectangle","times-rectangle-o","tint","toggle-down","toggle-left","toggle-off","toggle-on","toggle-right","toggle-up","trademark","trash","trash-o","tree","trophy","truck","tty","tv","umbrella","universal-access","university","unlock","unlock-alt","unsorted","upload","user","user-circle","user-circle-o","user-o","user-plus","user-secret","user-times","users","vcard","vcard-o","video-camera","volume-control-phone","volume-down","volume-off","volume-up","warning","wheelchair","wheelchair-alt","wifi","window-close","window-close-o","window-maximize","window-minimize","window-restore","wrench","american-sign-language-interpreting","asl-interpreting","assistive-listening-systems","audio-description","blind","braille","cc","deaf","deafness","hard-of-hearing","low-vision","question-circle-o","sign-language","signing","tty","universal-access","volume-control-phone","wheelchair","wheelchair-alt","hand-grab-o","hand-lizard-o","hand-o-down","hand-o-left","hand-o-right","hand-o-up","hand-paper-o","hand-peace-o","hand-pointer-o","hand-rock-o","hand-scissors-o","hand-spock-o","hand-stop-o","thumbs-down","thumbs-o-down","thumbs-o-up","thumbs-up","ambulance","automobile","bicycle","bus","cab","car","fighter-jet","motorcycle","plane","rocket","ship","space-shuttle","subway","taxi","train","truck","wheelchair","wheelchair-alt","genderless","intersex","mars","mars-double","mars-stroke","mars-stroke-h","mars-stroke-v","mercury","neuter","transgender","transgender-alt","venus","venus-double","venus-mars","file","file-archive-o","file-audio-o","file-code-o","file-excel-o","file-image-o","file-movie-o","file-o","file-pdf-o","file-photo-o","file-picture-o","file-powerpoint-o","file-sound-o","file-text","file-text-o","file-video-o","file-word-o","file-zip-o","info-circle","cog","gear","refresh","spinner","check-square","check-square-o","circle","circle-o","dot-circle-o","minus-square","minus-square-o","plus-square","plus-square-o","square","square-o","cc-amex","cc-diners-club","cc-discover","cc-jcb","cc-mastercard","cc-paypal","cc-stripe","cc-visa","credit-card","credit-card-alt","google-wallet","paypal","area-chart","bar-chart","bar-chart-o","line-chart","pie-chart","bitcoin","btc","cny","dollar","eur","euro","gbp","gg","gg-circle","ils","inr","jpy","krw","money","rmb","rouble","rub","ruble","rupee","shekel","sheqel","try","turkish-lira","usd","viacoin","won","yen","[657]","align-justify","align-left","align-right","bold","chain","chain-broken","clipboard","columns","copy","cut","dedent","eraser","file","file-o","file-text","file-text-o","files-o","floppy-o","font","header","indent","italic","link","list","list-alt","list-ol","list-ul","outdent","paperclip","paragraph","paste","repeat","rotate-left","rotate-right","save","scissors","strikethrough","subscript","superscript","table","text-height","text-width","th","th-large","th-list","underline","undo","unlink","angle-double-down","angle-double-left","angle-double-right","angle-double-up","angle-down","angle-left","angle-right","angle-up","arrow-circle-down","arrow-circle-left","arrow-circle-o-down","arrow-circle-o-left","arrow-circle-o-right","arrow-circle-o-up","arrow-circle-right","arrow-circle-up","arrow-down","arrow-left","arrow-right","arrow-up","arrows","arrows-alt","arrows-h","arrows-v","caret-down","caret-left","caret-right","caret-square-o-down","caret-square-o-left","caret-square-o-right","caret-square-o-up","caret-up","chevron-circle-down","chevron-circle-left","chevron-circle-right","chevron-circle-up","chevron-down","chevron-left","chevron-right","chevron-up","exchange","hand-o-down","hand-o-left","hand-o-right","hand-o-up","long-arrow-down","long-arrow-left","long-arrow-right","long-arrow-up","toggle-down","toggle-left","toggle-right","toggle-up","arrows-alt","backward","compress","eject","expand","fast-backward","fast-forward","forward","pause","pause-circle","pause-circle-o","play","play-circle","play-circle-o","random","step-backward","step-forward","stop","stop-circle","stop-circle-o","youtube-play","500px","adn","amazon","android","angellist","apple","bandcamp","behance","behance-square","bitbucket","bitbucket-square","bitcoin","black-tie","bluetooth","bluetooth-b","btc","buysellads","cc-amex","cc-diners-club","cc-discover","cc-jcb","cc-mastercard","cc-paypal","cc-stripe","cc-visa","chrome","codepen","codiepie","connectdevelop","contao","css3","dashcube","delicious","deviantart","digg","dribbble","dropbox","drupal","edge","eercast","empire","envira","etsy","expeditedssl","fa","facebook","facebook-f","facebook-official","facebook-square","firefox","first-order","flickr","font-awesome","fonticons","fort-awesome","forumbee","foursquare","free-code-camp","ge","get-pocket","gg","gg-circle","git","git-square","github","github-alt","github-square","gitlab","gittip","glide","glide-g","google","google-plus","google-plus-circle","google-plus-official","google-plus-square","google-wallet","gratipay","grav","hacker-news","houzz","html5","imdb","instagram","internet-explorer","ioxhost","joomla","jsfiddle","lastfm","lastfm-square","leanpub","linkedin","linkedin-square","linode","linux","maxcdn","meanpath","medium","meetup","mixcloud","modx","odnoklassniki","odnoklassniki-square","opencart","openid","opera","optin-monster","pagelines","paypal","pied-piper","pied-piper-alt","pied-piper-pp","pinterest","pinterest-p","pinterest-square","product-hunt","qq","quora","ra","ravelry","rebel","reddit","reddit-alien","reddit-square","renren","resistance","safari","scribd","sellsy","share-alt","share-alt-square","shirtsinbulk","simplybuilt","skyatlas","skype","slack","slideshare","snapchat","snapchat-ghost","snapchat-square","soundcloud","spotify","stack-exchange","stack-overflow","steam","steam-square","stumbleupon","stumbleupon-circle","superpowers","telegram","tencent-weibo","themeisle","trello","tripadvisor","tumblr","tumblr-square","twitch","twitter","twitter-square","usb","viacoin","viadeo","viadeo-square","vimeo","vimeo-square","vine","vk","wechat","weibo","weixin","whatsapp","wikipedia-w","windows","wordpress","wpbeginner","wpexplorer","wpforms","xing","xing-square","y-combinator","y-combinator-square","yahoo","yc","yc-square","yelp","yoast","youtube","youtube-play","youtube-square","h-square","heart","heart-o","heartbeat","hospital-o","medkit","plus-square","stethoscope","user-md","wheelchair","wheelchair-alt");
}

/** Top Header **/
function ta_business_top_header(){

    $ta_business_news_top_header_info_enable_disable = get_theme_mod('ta_business_news_top_header_info_enable_disable');
    $ta_business_news_top_header_social_icon_enable_disable = get_theme_mod('ta_business_news_top_header_social_icon_enable_disable');

    if($ta_business_news_top_header_info_enable_disable == 'enable' || $ta_business_news_top_header_social_icon_enable_disable == 'enable'){ ?>
        <div class="tab-top-header">
            <div class="tab-container tab-clearfix">
                
                <?php  if($ta_business_news_top_header_info_enable_disable == 'enable'){ ?>
                    <div class="top-header-left  tab-clearfix">
                        <div class="secondary-top-left tab-clearfix">
                            <?php 
                            $ta_business_top_header_phone = get_theme_mod('ta_business_top_header_phone');
                            if($ta_business_top_header_phone){ ?>
                                <div class="tab-header-phone">
                                    <i class="fa fa-mobile" aria-hidden="true"></i>
                                    <span><?php echo esc_html($ta_business_top_header_phone); ?></span>
                                </div>
                            <?php } ?>
                            
                            <?php 
                            $ta_business_top_header_email = get_theme_mod('ta_business_top_header_email');
                            if($ta_business_top_header_email){ ?>
                                <div class="tab-header-email">
                                    <i class="fa fa-envelope-open-o" aria-hidden="true"></i>
                                    <span><?php echo esc_html($ta_business_top_header_email); ?></span>
                                </div>
                            <?php } ?>
                            
                            <?php 
                            $ta_business_top_header_location = get_theme_mod('ta_business_top_header_location');
                            if($ta_business_top_header_location){ ?>
                                <div class="tab-header-location">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                    <span><?php echo esc_html($ta_business_top_header_location); ?></span>
                                </div>
                            <?php } ?>
                        
                        </div>
                    </div>                    
                <?php } ?>
                
                <?php if($ta_business_news_top_header_social_icon_enable_disable == 'enable'){ 
                    $ta_business_top_header_facebook_link = get_theme_mod('ta_business_top_header_facebook_link');
                    $ta_business_top_header_twitter_link = get_theme_mod('ta_business_top_header_twitter_link');
                    $ta_business_top_header_vk_link = get_theme_mod('ta_business_top_header_vk_link');
                    $ta_business_top_header_youtube_link = get_theme_mod('ta_business_top_header_youtube_link');
                    $ta_business_top_header_google_link = get_theme_mod('ta_business_top_header_google_link');
                    $ta_business_top_header_instagram_link = get_theme_mod('ta_business_top_header_instagram_link');
                    $ta_business_top_header_linkedin_link = get_theme_mod('ta_business_top_header_linkedin_link');
                    $ta_business_top_header_pinterest_link = get_theme_mod('ta_business_top_header_pinterest_link');?>
                    <div class="top-header-right">
                        <div class="tab-social-icon">
                            <?php if($ta_business_top_header_facebook_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_facebook_link); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                            <?php if($ta_business_top_header_twitter_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_twitter_link); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                            <?php if($ta_business_top_header_vk_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_vk_link); ?>"><i class="fa fa-vk" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                            <?php if($ta_business_top_header_youtube_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_youtube_link); ?>"><i class="fa fa-youtube" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                            <?php if($ta_business_top_header_google_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_google_link); ?>"><i class="fa fa-google" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                            <?php if($ta_business_top_header_instagram_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_instagram_link); ?>"><i class="fa fa-instagram" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                            <?php if($ta_business_top_header_linkedin_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_linkedin_link); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                            <?php if($ta_business_top_header_pinterest_link){ ?>
                                <a target="_blank" href="<?php echo esc_url($ta_business_top_header_pinterest_link); ?>"><i class="fa fa-pinterest-p" aria-hidden="true"></i></a>
                            <?php } ?>
                            
                        </div>
                    </div>
                <?php } ?>
                
            </div>
        </div>
    <?php }
}

/** Woocommerce Activate **/

function ta_business_is_woocommerce_activate(){

    return class_exists( 'woocommerce' ) ? true : false;

}

if( ! function_exists( 'ta_business_primary_menu_fallback' ) ) :

/** Fallback for primary menu **/
function ta_business_primary_menu_fallback(){
    if( current_user_can( 'manage_options' ) ){
        echo '<ul id="primary-menu" class="menu">';
        echo '<li><a href="' . esc_url( admin_url( 'nav-menus.php' ) ) . '">' . esc_html__( 'Click here to add a menu', 'ta-business' ) . '</a></li>';
        echo '</ul>';
    }
}
endif;