<?php
/**
 * TA Business Metabox
 */
 
add_action( 'add_meta_boxes', 'ta_business_metabox' );

if( ! function_exists( 'ta_business_metabox' ) ):
     function  ta_business_metabox() {
        
        add_meta_box(
            'ta_business_post_metabox',
            esc_html__( 'Sidebar Layouts', 'ta-business' ),
            'ta_business_post_metafield_callback',
            'post', 
            'normal', 
            'high'
        );
        add_meta_box(
            'ta_business_page_metabox',
            esc_html__( 'Sidebar Layouts', 'ta-business' ),
            'ta_business_post_metafield_callback',
            'page',
            'normal', 
            'high'
        ); 
     }
endif;

$ta_business_post_sidebar_fields = array(
    'left-sidebar' => array(
                    'id'		=> 'post-right-sidebar',
                    'value'     => 'left_sidebar',
                    'label'     => esc_html__( 'Left sidebar', 'ta-business' ),
                    'thumbnail' => get_template_directory_uri() . '/images/left-sidebar.png'
                ), 
    'right-sidebar' => array(
                    'id'		=> 'post-left-sidebar',
                    'value' => 'right_sidebar',
                    'label' => esc_html__( 'Right sidebar', 'ta-business' ),
                    'thumbnail' => get_template_directory_uri() . '/images/right-sidebar.png'
                ),
    'no-sidebar' => array(
                    'id'		=> 'post-no-sidebar',
                    'value'     => 'no_sidebar',
                    'label'     => esc_html__( 'No sidebar', 'ta-business' ),
                    'thumbnail' => get_template_directory_uri() . '/images/no-sidebar.png'
                ),        
    'both-sidebar' => array(
                    'id'		=> 'both-sidebar',
                    'value'     => 'both_sidebar',
                    'label'     => esc_html__( 'Both sidebar', 'ta-business' ),
                    'thumbnail' => get_template_directory_uri() . '/images/both-sidebar.png'
                )
);

/**
 * Callback function for post option
*/
if( ! function_exists( 'ta_business_post_metafield_callback' ) ):
	function ta_business_post_metafield_callback() {
		global $post, $ta_business_post_sidebar_fields;
		wp_nonce_field( basename( __FILE__ ), 'ta_business_post_meta_nonce' );?>
        <table class="form-table">
        
            <tr>
                <td colspan="4">
                    <em class="f13">
                        <?php esc_html_e('Choose Sidebar Template','ta-business'); ?>
                    </em>
                </td>
            </tr>
        
            <tr>
                <td>
                    <?php
                    $ta_business_post_sidebar = get_post_meta( $post->ID, 'ta_business_post_sidebar_option', true ); 
                    if($ta_business_post_sidebar == ''){$ta_business_post_sidebar = 'right_sidebar';}
                    foreach ($ta_business_post_sidebar_fields as $ta_business_post_sidebar_field) {?>
                            
                            <div class="radio-image-wrapper" style="float:left; margin-right:30px;">
                                <label class="description">
                                    <span><img src="<?php echo esc_url( $ta_business_post_sidebar_field['thumbnail'] ); ?>" alt="" /></span></br>
                                    <input type="radio" name="ta_business_post_sidebar_option" value="<?php echo esc_attr($ta_business_post_sidebar_field['value']); ?>" <?php if( $ta_business_post_sidebar_field['value'] == $ta_business_post_sidebar ){ echo "checked='checked'";} if(empty($ta_business_post_sidebar) && $ta_business_post_sidebar_field['value']=='right-sidebar'){ echo "checked='checked'";} ?>/>&nbsp;<?php echo esc_html($ta_business_post_sidebar_field['label']); ?>
                                </label>
                            </div>
                    <?php } ?>
                    <div class="clear"></div>
                </td>
            </tr>
            
        </table>
    <?php }
endif;

/** Function for save value of meta opitons **/
add_action( 'save_post', 'ta_business_save_post_meta' );

if( ! function_exists( 'ta_business_save_post_meta' ) ):

function ta_business_save_post_meta( $post_id ) {

    global $post, $ta_business_post_sidebar_fields;

    if ( !isset( $_POST[ 'ta_business_post_meta_nonce' ] ) || !wp_verify_nonce( wp_unslash($_POST['ta_business_post_meta_nonce'] ), basename( __FILE__ ) ) )
        return;

    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE )  
        return;
        
    if ('page' == $_POST['post_type']) {  
        if (!current_user_can( 'edit_page', $post_id ) )  
            return $post_id;  
    } elseif (!current_user_can( 'edit_post', $post_id ) ) {  
            return $post_id;  
    }


    foreach ( $ta_business_post_sidebar_fields as $ta_business_post_sidebar_field ) {  
        
        $old = get_post_meta( $post_id, 'ta_business_post_sidebar_option', true ); 
        $new = ta_business_sanitize_sidebar_option( wp_unslash( $_POST['ta_business_post_sidebar_option'] ));
        if ( $new && $new != $old ) {  
            update_post_meta ( $post_id, 'ta_business_post_sidebar_option', $new );  
        } elseif ( '' == $new && $old ) {  
            delete_post_meta( $post_id,'ta_business_post_sidebar_option', $old );  
        }
    }
}
endif;   