<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package TA_Business
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function ta_business_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}
    $ta_business_news_slide_enable_disable = get_theme_mod('ta_business_news_slide_enable_disable','disable' );
    $ta_business_slide_cat = get_theme_mod('ta_business_slide_cat' );

    if( $ta_business_news_slide_enable_disable != 'enable' || empty( $ta_business_slide_cat ) ){
        $classes[] = 'no-slider';
    }else{
        $classes[] = 'yes-slider';
    }

    $ta_business_boxed_layout_enable_disable = get_theme_mod('ta_business_boxed_layout_enable_disable','disable');
    if( $ta_business_boxed_layout_enable_disable == 'enable' ){
        $classes[] = 'boxed-layout';
    }
	return $classes;
}
add_filter( 'body_class', 'ta_business_body_classes' );

/**
 * Add a pingback url auto-discovery header for singularly identifiable articles.
 */
function ta_business_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'ta_business_pingback_header' );
