jQuery(document).ready(function($){
    
    // Menu
    $('#toggle').click(function(){
        $('#site-navigation').toggleClass('on-menu');
        $('#primary-menu').slideToggle();
    });

    var sf = $('.ht-menu > ul').superfish({
        delay:       500,                            // one second delay on mouseout
        animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation
        speed:       'fast',                          // faster animation speed
    });

    $(window).resize(function(){
        if($(window).width() < 1000){
            sf.superfish('destroy');
            $('.tab-submenu').removeClass('tab-submenu-open');
        }else{
            sf.superfish('init');
        }
    }).resize();

    $('.menu-item-has-children > a').append('<span class="tab-submenu"></span>');

    $('.tab-submenu').on('click', function(){
        $(this).parent('a').next('ul').slideToggle();
        $(this).toggleClass('tab-submenu-open');
        return false;
    });
    
    //Sickey Sidebar
    $('#secondary, #primary').theiaStickySidebar();
    
    /** Gallery Icon **/
    $('.widget .gallery-icon a').each(function(){
        var imglink  = $(this).children('img').attr('src'); 
        var result = imglink.split('-');
        var count = result.length-1;
        var exclude = result[count].split('.');
        var result_1 = imglink.split('-'+result[count]);
        result_1 = result_1[0]+'.'+exclude[1];
        $(this).attr("href", result_1);
        $(this).attr('data-lightbox','roadtrip-2');
    });
    
    lightbox.option({
      'resizeDuration': 200,
      'wrapAround': true
    });

    /** Portfolio Lightbox **/
    lightbox.option({
      'resizeDuration': 200,
      'wrapAround': true
    });
    
    /** News Slide **/
    $('.slider-loop-wrap').owlCarousel({
        loop:true,
        margin:0,
        nav:true,
        autoplay:true,
        items:1,
        navText:['<i class="fa fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-chevron-right" aria-hidden="true"></i>'],
    });
    
    /** Progress bar shorcode Horizontal**/
    $('.progress-bar-horizontal').each(function() {
		var bar = $(this);
        var label = $(this).attr('data-width');
        bar.waypoint({
            handler: function(){
                var progressBarWidth = label * bar.width() / 100;
                bar.find('div').animate({ width: progressBarWidth }, 1000).html();
            },
            offset: '95%'
        });
	});
    
    /** Portfolio Masonory **/
    var $grid = $('.portfolio-postse').imagesLoaded( function() {
      // init Isotope after all images have loaded
      $grid.isotope({
        itemSelector: '.portfolio-post-wrape',
        layoutMode: 'packery',
      });
      
    });
    
    $('.titles-port .filter').on( 'click', function() {
        $('.titles-port .filter').removeClass('active');
        $(this).addClass('active');
        var filterValue = $(this).attr('data-filter');
        $('.portfolio-postse').isotope({ filter: filterValue });
    });

    
    /** Team Script **/
    $('.home-section.layout-1 .member-content').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      fade: true,
      asNavFor: '.member-nav',
      dots: false
    });
    
    $('.home-section.layout-1 .member-nav').slick({
      asNavFor: '.member-content',
      slidesToShow: 7,
        slidesToScroll: 7,
        dots: false,
        centerMode: true,
        focusOnSelect: true,
        centerPadding: '-10px',
        infinite: true,
        prevArrow: '<i class="fa fa-chevron-left" aria-hidden="true"></i>',
        nextArrow: '<i class="fa fa-chevron-right" aria-hidden="true"></i>',
        responsive: [
            {
              breakpoint: 768,
              settings: {
                slidesToShow: 5,
                slidesToScroll: 5
              }
            },
            {
              breakpoint: 812,
              settings: {
                slidesToShow: 5,
                slidesToScroll: 5
              }
            },
            {
              breakpoint: 667,
              settings: {
                slidesToShow: 3,
                slidesToScroll: 3
              }
            },
            {
              breakpoint: 480,
              settings: {
                slidesToShow: 1,
                slidesToScroll: 1
              }
            }
        ]
    });
    
    $('.home-section.layout-2 .member-nav').slick({
        slidesToShow: 4,
        slidesToScroll: 4,
        dots: false,
        centerPadding: '-10px',
        infinite: true,
        prevArrow: '<i class="fa fa-chevron-left" aria-hidden="true"></i>',
        nextArrow: '<i class="fa fa-chevron-right" aria-hidden="true"></i>',
        responsive: [
            
            {
              breakpoint: 812,
              settings: {
                slidesToShow: 2,
                slidesToScroll: 2
              }
            },
            {
              breakpoint: 667,
              settings: {
                slidesToShow: 2,
                slidesToScroll: 2
              }
            },
            {
              breakpoint: 480,
              settings: {
                slidesToShow: 1,
                slidesToScroll: 1
              }
            }
        ]
    });
    
    /** Testimonial Script **/
    $('.test-content').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      fade: true,
      asNavFor: '.test-nav'
    });
    
    $('.test-nav').slick({
      asNavFor: '.test-content',
      slidesToShow: 3,
        slidesToScroll: 3,
        dots: false,
        centerMode: true,
        focusOnSelect: true,
        centerPadding: 0,
        infinite: true,
        prevArrow: '<i class="fa fa-chevron-left" aria-hidden="true"></i>',
        nextArrow: '<i class="fa fa-chevron-right" aria-hidden="true"></i>',
        responsive: [
            
            {
              breakpoint: 812,
              settings: {
                slidesToShow: 3,
                slidesToScroll: 3
              }
            },
            {
              breakpoint: 667,
              settings: {
                slidesToShow: 3,
                slidesToScroll: 3
              }
            },
            {
              breakpoint: 480,
              settings: {
                slidesToShow: 1,
                slidesToScroll: 1
              }
            }
        ]
    });
    
    /** News Slide **/
    $('.main-client-wrap').owlCarousel({
        loop:true,
        margin:0,
        nav:true,
        autoplay:true,
        items:5,
        navText:['<i class="fa fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-chevron-right" aria-hidden="true"></i>'],
        responsive : {
             0 : {
                items:2,
            },
            480 : {
                items:3,
            },
            667 : {
                items:4,
            },
            812 : {
                items:5,
            },
            1012 : {
                items:5,
            }
        }
    });
    
    //  Countdown Script
    var month = $('#counter-countdown').attr('month');
    var day = $('#counter-countdown').attr('day');
    var year = $('#counter-countdown').attr('year');
    var time = $('#counter-countdown').attr('time');
    var minute = $('#counter-countdown').attr('minute');
    
    $('#counter-countdown').dsCountDown({
    	endDate: new Date(month+' '+day+', '+year+' '+time+':'+minute+':00'),
    	theme: 'custome'
    });
    
    //Countr Counter
    $('.counter-count span').counterUp({
        delay: 20,
        time: 2000
    });
    
    $('.tab-search-header i.fa.fa-search').click(function(){
        $('.tab-search-form-header').slideToggle();
        $('.tab-search-header').toggleClass('on'); 
    });
});