<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package TA_Business
 */
 
get_header(); 
$ta_business_nav_enable_disable = get_theme_mod('ta_business_nav_enable_disable','enable'); ?>
<div class="main-pages-container">  
    <div class="tab-container">
        <?php global $post;
        $ta_business_post_sidebar = get_post_meta( $post->ID, 'ta_business_post_sidebar_option', true );
        if($ta_business_post_sidebar == ''){$ta_business_post_sidebar = 'right_sidebar';}
        if($ta_business_post_sidebar == 'both_sidebar' || 
        $ta_business_post_sidebar == 'left_sidebar'){ ?>
            <?php get_sidebar('left'); 
        } ?>
    	<div id="primary" class="content-area <?php echo esc_attr($ta_business_post_sidebar); ?>">
    		<main id="main" class="site-main">
    
    			<?php
    			while ( have_posts() ) : the_post();
    
    				get_template_part( 'template-parts/content', 'content' );
    				
                    if( $ta_business_nav_enable_disable != 'disable' ){
        				the_post_navigation();
                    }
    				
    				// If comments are open or we have at least one comment, load up the comment template.
    				if ( comments_open() || get_comments_number() ) :
    					comments_template();
    				endif;
    
    			endwhile; // End of the loop.
    			?>
    
    		</main><!-- #main -->
    	</div><!-- #primary -->
    
    <?php if($ta_business_post_sidebar == 'both_sidebar' || 
    $ta_business_post_sidebar == 'right_sidebar'){ ?>
        <?php get_sidebar(); 
    }?>
    </div>
</div>
<?php get_footer();
