<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package TA_Business
 */

$ta_business_date_enable_disable = get_theme_mod('ta_business_date_enable_disable','enable');
$ta_business_author_enable_disable = get_theme_mod('ta_business_author_enable_disable','enable');
$ta_business_comment_count_enable_disable = get_theme_mod('ta_business_comment_count_enable_disable','enable');
$ta_business_image_enable_disable = get_theme_mod('ta_business_image_enable_disable','enable');

$ta_business_archive_image_enable_disable = get_theme_mod('ta_business_archive_image_enable_disable','enable');
$ta_business_archive_date_enable_disable = get_theme_mod('ta_business_archive_date_enable_disable','enable');
$ta_business_archive_author_enable_disable = get_theme_mod('ta_business_archive_author_enable_disable','enable');
$ta_business_archive_comment_count_enable_disable = get_theme_mod('ta_business_archive_comment_count_enable_disable','enable');
$ta_business_archive_button_lebel = get_theme_mod('ta_business_archive_button_lebel',esc_html__('Read More','ta-business'));


?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if( is_single() ){ ?>
    	<header class="entry-header">
    		
            <div class="img-meta">
            
                <?php if( $ta_business_image_enable_disable != 'disable' ){ 
                    ta_business_post_thumbnail();
                } ?>

                <?php if( $ta_business_date_enable_disable != 'disable' || 
                    $ta_business_author_enable_disable != 'disable' || 
                    $ta_business_comment_count_enable_disable != 'disable' ){ ?>
            		<div class="entry-meta <?php if( !has_post_thumbnail() || $ta_business_image_enable_disable == 'disable' ){ echo "date-no-image"; } ?>">
            			<div class="comment-author-date">
                            
                            <?php if( $ta_business_date_enable_disable != 'disable' ){ ?>
                            <span class="post-date-link"><a href="<?php echo esc_url(get_day_link( absint(get_the_date('Y')), absint(get_the_date('m')), absint(get_the_date('d')))); ?>"><i class="fa fa-calendar" aria-hidden="true"></i><?php echo esc_html(get_the_date(get_option('date_format'))); ?></a></span>
                            <?php } ?>

                            <?php if( $ta_business_author_enable_disable != 'disable' ){ ?>
                            <span class="authot-name-link"><a href="<?php echo esc_url(get_author_posts_url( absint(get_the_author_meta( 'ID' )), esc_attr(get_the_author_meta( 'user_nicename' )) )); ?>"><i class="fa fa-user-o" aria-hidden="true"></i><?php the_author(); ?></a></span>
                            <?php } ?>

                            <?php if( $ta_business_comment_count_enable_disable != 'disable' ){ ?>
                            <span class="post-comment-link"><a href="<?php comments_link(); ?>"><i class="fa fa-comment-o" aria-hidden="true"></i><?php echo absint( get_comments_number() ); esc_html_e(' comment','ta-business'); ?></a></span>
                            <?php } ?>

                        </div>
            		</div><!-- .entry-meta -->
                <?php } ?>
            </div>
    	</header><!-- .entry-header -->
    <?php }else{ ?>
        <header class="entry-header">
                
            <div class="img-meta">
            
                <?php if( $ta_business_archive_image_enable_disable != 'disable' ){ 
                    ta_business_post_thumbnail();
                } ?>

                <?php if( $ta_business_archive_date_enable_disable != 'disable' || 
                    $ta_business_archive_author_enable_disable != 'disable' || 
                    $ta_business_archive_comment_count_enable_disable != 'disable' ){ ?>
                    <div class="entry-meta <?php if( !has_post_thumbnail() || $ta_business_archive_image_enable_disable == 'disable' ){ echo "date-no-image"; } ?>">
                        <div class="comment-author-date">
                            
                            <?php if( $ta_business_archive_date_enable_disable != 'disable' ){ ?>
                            <span class="post-date-link"><a href="<?php echo esc_url(get_day_link( absint(get_the_date('Y')), absint(get_the_date('m')), absint(get_the_date('d')))); ?>"><i class="fa fa-calendar" aria-hidden="true"></i><?php echo esc_html(get_the_date(get_option('date_format'))); ?></a></span>
                            <?php } ?>

                            <?php if( $ta_business_archive_author_enable_disable != 'disable' ){ ?>
                            <span class="authot-name-link"><a href="<?php echo esc_url(get_author_posts_url( absint(get_the_author_meta( 'ID' )), esc_attr(get_the_author_meta( 'user_nicename' )) )); ?>"><i class="fa fa-user-o" aria-hidden="true"></i><?php the_author(); ?></a></span>
                            <?php } ?>

                            <?php if( $ta_business_archive_comment_count_enable_disable != 'disable' ){ ?>
                            <span class="post-comment-link"><a href="<?php comments_link(); ?>"><i class="fa fa-comment-o" aria-hidden="true"></i><?php echo absint( get_comments_number() ); esc_html_e(' comment','ta-business'); ?></a></span>
                            <?php } ?>

                        </div>
                    </div><!-- .entry-meta -->
                <?php } ?>
            </div>
        </header><!-- .entry-header -->

    <?php } ?>

	<div class="entry-content">
		<?php
        
        if ( is_single() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' );
		endif;
            
        if ( is_single() ) :
			the_content();
        else:
            the_excerpt();
            ?>
                <a class="read-more" href="<?php the_permalink() ?>"><?php echo esc_html($ta_business_archive_button_lebel); ?><i class="fa fa-angle-double-right" aria-hidden="true"></i></a>
            <?php
        endif;
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ta-business' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
</article>
