<?php
/**
 * About Section
 */
$ta_business_about_layout = get_theme_mod('ta_business_about_layout');
if($ta_business_about_layout == ''){ $ta_business_about_layout = 'layout-1'; }
?>

<section id="home-about-section" class="home-section <?php echo esc_attr($ta_business_about_layout); ?>">
    <div class="tab-container tab-clearfix">
        <?php
        $ta_business_about_post = get_theme_mod('ta_business_about_post');
        $ta_business_read_more_text = get_theme_mod('ta_business_read_more_text',esc_html__('Read More','ta-business') );
        $ta_business_about_post_query = new WP_Query(array('post_type' => 'post','posts_per_page' => -1,'post__in'=>array($ta_business_about_post)));
        ?>
        
        <div class="left-about">
            
            <?php if($ta_business_about_post){ ?>
                <div class="title-about">
                
                    <?php if($ta_business_about_post){ 
                if($ta_business_about_post_query->have_posts()){
                    while($ta_business_about_post_query->have_posts()){
                        $ta_business_about_post_query->the_post(); ?>
                            <?php if(get_the_title()){ ?><h3><?php the_title(); ?></h3><?php } ?>
                    <?php }
                wp_reset_postdata();}
            } ?>
                    
                </div>
            <?php } ?>
            
            <?php if($ta_business_about_post){ 
                if($ta_business_about_post_query->have_posts()){
                    while($ta_business_about_post_query->have_posts()){
                        $ta_business_about_post_query->the_post(); ?>
                        <div class="about-post">
                            <?php if(get_the_content()){ ?><div class="tab-about-content"><?php the_excerpt(); ?></div><?php } ?>
                            <a class="read-more-button" href="<?php the_permalink(); ?>"><?php echo esc_html( $ta_business_read_more_text ); ?></a>
                        </div>
                    <?php }
                wp_reset_postdata();}
            } ?>
            
        </div>
        
        <div class="right-about tab-clearfix">
            
            <?php
            if($ta_business_about_layout == 'layout-2'){
                $ta_business_about_section_image = get_theme_mod('ta_business_about_section_image');
                if($ta_business_about_section_image){ ?>
                
                    <div class="main-img-about">
                        <div class="image-about">
                            <img alt="<?php esc_attr_e('About Image','ta-business'); ?>" title="<?php esc_attr_e('About Image','ta-business'); ?>" src="<?php echo esc_url($ta_business_about_section_image); ?>" />
                        </div>
                    </div>
                <?php }
            }else{
                $ta_business_about_skill_1_title = get_theme_mod('ta_business_about_skill_1_title');
                $ta_business_about_skill_1_percent = get_theme_mod('ta_business_about_skill_1_percent');
                $ta_business_about_skill_2_title = get_theme_mod('ta_business_about_skill_2_title');
                $ta_business_about_skill_2_percent = get_theme_mod('ta_business_about_skill_2_percent');
                $ta_business_about_skill_3_title = get_theme_mod('ta_business_about_skill_3_title');
                $ta_business_about_skill_3_percent = get_theme_mod('ta_business_about_skill_3_percent');
                $ta_business_about_skill_4_title = get_theme_mod('ta_business_about_skill_4_title');
                $ta_business_about_skill_4_percent = get_theme_mod('ta_business_about_skill_4_percent');
                
                ?>
                <div class="about-progress-bar">
                
                    <div class="skills-wrp">
                        
                        <?php if($ta_business_about_skill_1_title || $ta_business_about_skill_1_percent){ ?>
                        <div class="main-progressbar wow fadeInUp">
                            <div class="pbar-container">
                            
                                <?php if($ta_business_about_skill_1_title){ ?>
                                    <div class="pbar-title"><?php echo esc_html($ta_business_about_skill_1_title); ?></div>
                                    <div class="percent-bar"><?php echo absint($ta_business_about_skill_1_percent); ?> %</div>
                                <?php } ?>
                                
                                <?php if($ta_business_about_skill_1_percent){ ?>
                                <div class="progress-bar-horizontal" data-width="<?php echo absint($ta_business_about_skill_1_percent); ?>">
                                    <div></div>
                                </div>
                                <?php } ?>
                                
                            </div>
                        </div>
                        <?php } ?>
                        
                        <?php if($ta_business_about_skill_2_title || $ta_business_about_skill_2_percent){ ?>
                        <div class="main-progressbar wow fadeInUp">
                            <div class="pbar-container">
                            
                                <?php if($ta_business_about_skill_2_title){ ?>
                                    <div class="pbar-title"><?php echo esc_html($ta_business_about_skill_2_title); ?></div>
                                    <div class="percent-bar"><?php echo absint($ta_business_about_skill_2_percent); ?> %</div>
                                <?php } ?>
                                
                                <?php if($ta_business_about_skill_2_percent){ ?>
                                <div class="progress-bar-horizontal" data-width="<?php echo absint($ta_business_about_skill_2_percent); ?>">
                                    <div></div>
                                </div>
                                <?php } ?>
                                
                            </div>
                        </div>
                        <?php } ?>
                        
                        <?php if($ta_business_about_skill_3_title || $ta_business_about_skill_3_percent){ ?>
                        <div class="main-progressbar wow fadeInUp">
                            <div class="pbar-container">
                                <?php if($ta_business_about_skill_3_title){ ?>
                                    <div class="pbar-title"><?php echo esc_html( $ta_business_about_skill_3_title ); ?></div>
                                    <div class="percent-bar"><?php echo absint( $ta_business_about_skill_3_percent ); ?> %</div>
                                <?php } ?>
                                <?php if( $ta_business_about_skill_3_percent ){ ?>
                                <div class="progress-bar-horizontal" data-width="<?php echo absint($ta_business_about_skill_3_percent); ?>">
                                    <div></div>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
                        <?php } ?>
                        
                        <?php if( $ta_business_about_skill_4_title || $ta_business_about_skill_4_percent ){ ?>
                        <div class="main-progressbar wow fadeInUp">
                            <div class="pbar-container">
                                <?php if($ta_business_about_skill_4_title){ ?>
                                    <div class="pbar-title"><?php echo esc_html( $ta_business_about_skill_4_title ); ?></div>
                                    <div class="percent-bar"><?php echo absint( $ta_business_about_skill_4_percent ); ?> %</div>
                                <?php } ?>
                                <?php if( $ta_business_about_skill_4_percent ){ ?>
                                <div class="progress-bar-horizontal" data-width="<?php echo absint( $ta_business_about_skill_4_percent ); ?>">
                                    <div></div>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
                        <?php } ?>
                        
                    </div>
    
                </div>
            <?php } ?>
            
        </div>
        
    </div>
</section>