<?php
/**
 * Blog Section
 */
?>

<section id="home-blog-section" class="home-section">
    <div class="tab-container tab-clearfix">
        <?php 
        $ta_business_blog_cat = get_theme_mod('ta_business_blog_cat');
        $ta_business_blog_section_title = get_theme_mod('ta_business_blog_section_title');
        $ta_business_sections_title_layout = get_theme_mod('ta_business_sections_title_layout','layout-1');
        $ta_business_sections_title_icon = get_theme_mod('ta_business_sections_title_icon','fa-heartbeat');
        $ta_business_read_more_text = get_theme_mod('ta_business_read_more_text',esc_html__('Read More','ta-business') );
        if( $ta_business_blog_section_title ){ ?>
            <div class="tab-home-section-title <?php echo esc_attr( $ta_business_sections_title_layout ); ?>">
            
                <?php if($ta_business_blog_section_title){ ?>

                    <h2><?php echo esc_html($ta_business_blog_section_title); ?></h2>

                    <?php if( $ta_business_sections_title_layout == 'layout-2' ){ ?>
                        <span><i class="fa <?php echo esc_attr( $ta_business_sections_title_icon ); ?>" aria-hidden="true"></i></span>
                    <?php } ?>

                <?php } ?>
                
            </div>
        <?php }
        
        if($ta_business_blog_cat){
            $ta_business_blog_query = new WP_Query(array('post_type'=>'post','posts_per_page'=>3,'category_name'=>$ta_business_blog_cat));
            if($ta_business_blog_query->have_posts()){
                ?>
                    <div class="blog-main-wrap tab-clearfix">
                        <?php while($ta_business_blog_query->have_posts()){ 
                            $ta_business_blog_query->the_post();
                            $ta_business_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'ta-business-blog-feature-image'); ?>
                            
                            <div class="blog-loop-wrap">
                                <div class="secondary-wrap-blog">

                                    <div class="image-wrap-blog">
                                        <?php if( has_post_thumbnail() ){ ?>
                                            
                                                <img src="<?php echo esc_url($ta_business_blog_image[0]); ?>" alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" />
                                            
                                        <?php }else{ ?>

                                                <img src="<?php echo esc_url( get_template_directory_uri().'/images/440X320.jpg' ); ?>" alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" />

                                        <?php } ?>
                                    </div>

                                    <div class="content-blog">
                                        <?php if(get_the_title()){?>
                                            <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                        <?php } ?>
                                        
                                        <?php if(get_the_content()){?>
                                            <div class="desc-blog">
                                                <?php echo esc_html(wp_trim_words(get_the_content(),25,'...')); ?>
                                                <a class="blog-read-more" href="<?php the_permalink(); ?>">
                                                    <?php echo esc_html( $ta_business_read_more_text ); ?>
                                                </a>
                                            </div>
                                        <?php } ?>
                                        
                                    </div>
                                    
                                    <div class="date-comment-author">
                                            
                                        <span class="post-author"><a href="<?php echo esc_url(get_author_posts_url( absint(get_the_author_meta( 'ID' )), esc_attr(get_the_author_meta( 'user_nicename' )) )); ?>"><i class="fa fa-user-o" aria-hidden="true"></i><?php the_author(); ?></a></span>
                                        <span class="post-date"><a href="<?php echo esc_url( get_day_link( absint( get_the_date( 'Y' ) ), absint(get_the_date( 'm' ) ), absint( get_the_date( 'd' ) ) ) ); ?>"><i class="fa fa-clock-o" aria-hidden="true"></i><?php echo esc_html(get_the_date(get_option('date_format'))); ?></a></span>
                                        <span class="post-comment"><a href="<?php esc_url( comments_link() ); ?>"><i class="fa fa-comment-o" aria-hidden="true"></i><?php echo absint( get_comments_number() ); esc_html_e(' comment','ta-business'); ?></a></span>
                                        
                                    </div>
                                    
                                </div>
                            </div>
                            
                        <?php wp_reset_postdata();} ?>
                    </div>
                <?php
            }
        }?>
        
        
        
    </div>
</section>