<?php
/**
 * Client Section
 */
?>

<section id="home-client-section" class="home-section">
    <div class="tab-container tab-clearfix">
        <div class="secondary-client-wrap">
            <?php 
            $ta_business_client_cat = get_theme_mod('ta_business_client_cat');
            $ta_business_client_section_title = get_theme_mod('ta_business_client_section_title');
            $ta_business_sections_title_layout = get_theme_mod('ta_business_sections_title_layout','layout-1');
            $ta_business_sections_title_icon = get_theme_mod('ta_business_sections_title_icon','fa-heartbeat');

            if( $ta_business_client_section_title ){ ?>
                <div class="tab-home-section-title <?php echo esc_attr( $ta_business_sections_title_layout ); ?>">
                
                    <?php if( $ta_business_client_section_title ){ ?>

                        <h2><?php echo esc_html( $ta_business_client_section_title ); ?></h2>

                        <?php if( $ta_business_sections_title_layout == 'layout-2' ){ ?>
                            <span><i class="fa <?php echo esc_attr( $ta_business_sections_title_icon ); ?>" aria-hidden="true"></i></span>
                        <?php } ?>

                    <?php } ?>
                    
                </div>
            <?php }
            
            if($ta_business_client_cat){
                $ta_business_client_query = new WP_Query(array('post_type' => 'post', 'category_name' => $ta_business_client_cat, 'order' => 'DESC', 'posts_per_page' => -1));
                if($ta_business_client_query->have_posts()){ ?>
                    
                    <div class="owl-carousel main-client-wrap tab-clearfix">
                        <?php while($ta_business_client_query->have_posts()){
                            $ta_business_client_query->the_post(); 
                            $ta_business_client_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-team-image');?>
                            
                                <div class="img-title-client">
                                    <div class="img-wra-client">
                                        <img src="<?php echo esc_url($ta_business_client_img[0]); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
                                    </div>
                                </div>
                            
                        <?php } ?>
                    </div>
                    
                <?php wp_reset_postdata();}
            } ?>
        
        
        </div>
    </div>
</section>