<?php
/**
 * Portfolio Section
 */
 $ta_business_portfolio_layout = get_theme_mod('ta_business_portfolio_layout','layout-1');
 $ta_business_sections_title_layout = get_theme_mod('ta_business_sections_title_layout','layout-1');
 $ta_business_sections_title_icon = get_theme_mod('ta_business_sections_title_icon','fa-heartbeat');
?>

<section id="home-portfolio-section" class="home-section <?php echo esc_attr($ta_business_portfolio_layout); ?>">
    
        <div class="tab-container tab-clearfix">
        
                <?php 
                $ta_business_portfolio_cat = get_theme_mod('ta_business_portfolio_cat');
                $ta_business_portfolio_section_title = get_theme_mod('ta_business_portfolio_section_title');
                
                if( $ta_business_portfolio_section_title ){ ?>
                    <div class="tab-home-section-title <?php echo esc_attr( $ta_business_sections_title_layout ); ?>">
                    
                        <?php if($ta_business_portfolio_section_title){ ?>

                            <h2><?php echo esc_html($ta_business_portfolio_section_title); ?></h2>

                            <?php if( $ta_business_sections_title_layout == 'layout-2' ){ ?>
                                <span><i class="fa <?php echo esc_attr( $ta_business_sections_title_icon ); ?>" aria-hidden="true"></i></span>
                            <?php } ?>

                        <?php } ?>
                        
                    </div>
                <?php } ?>
                
        </div>
        
<?php if($ta_business_portfolio_cat){
        $ta_business_port_query = new WP_Query(array('post_type' => 'post', 'category_name' => $ta_business_portfolio_cat, 'order' => 'DESC', 'posts_per_page' => 9));
        $cat_term_id = get_cat_ID( $ta_business_portfolio_cat );
        $ta_business_child_categories = get_categories(array('type' => 'post', 'parent' => $cat_term_id, 'hide_empty' => false));
        ?>
            <div class="tab-container tab-clearfix">
            
                <div class="titles-port">
                    <div class="filter active" data-filter="*"><?php esc_html_e('All', 'ta-business'); ?></div>
                    <?php foreach ($ta_business_child_categories as $ta_business_child_category) : ?>
                        <div class="filter" data-filter=".category-<?php echo absint($ta_business_child_category->term_id); ?>"><?php echo esc_html($ta_business_child_category->name); ?></div>
                    <?php endforeach; ?>
                </div>
            
            </div>
        
        <?php if($ta_business_portfolio_layout == 'layout-1'){ ?>
                <div class="tab-container tab-clearfix">
                    <?php } ?>
                    
                    <?php if ($ta_business_port_query->have_posts()) : ?> 
                        <div class="portfolio-postse wow fadeInUp clearfix">
                        
                            <?php 
                            $ta_business_portfolio_count = 1;
                            while ($ta_business_port_query->have_posts()) : $ta_business_port_query->the_post(); ?>
                                <?php
                                $ta_business_cats = get_the_category();
                                $ta_business_cat_list = '';
                                foreach ($ta_business_cats as $ta_business_cat) :
                                    if ($ta_business_cat->term_id != $cat_term_id) {
                                    $ta_business_cat_list .= 'category-' . $ta_business_cat->term_id . ' ';
                                }
                                endforeach;
                                
                                if($ta_business_portfolio_layout == 'layout-1'){
                                    
                                    $ta_business_portfolio_full_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');

                                    if($ta_business_portfolio_count == '1' || $ta_business_portfolio_count == '7'){
                                        $ta_business_portfolio_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-portfolio-image-3');
                                    }elseif($ta_business_portfolio_count == '2'){
                                        $ta_business_portfolio_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-portfolio-image-2');
                                    }else{
                                        $ta_business_portfolio_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-portfolio-image-1');   
                                    }
                                
                                }else{
                                    $ta_business_portfolio_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-team-image');
                                
                                }
                                ?>
                                <div id="<?php echo 'count-'.absint($ta_business_portfolio_count); ?>" class="portfolio-post-wrape <?php echo esc_attr($ta_business_cat_list); ?>">
                                    <div class="overflow">
                                    
                                        <figure>
                                        
                                            <?php if (has_post_thumbnail()) : ?>
                                                <a class="img-tag" href="<?php the_permalink(); ?>">
                                                    <img src="<?php echo esc_url($ta_business_portfolio_img[0]); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
                                                </a>
                                            <?php endif; ?>
                                            
                                            <div class="portfolio-links">
                                                <a href="<?php echo esc_url($ta_business_portfolio_full_img[0]); ?>" data-lightbox="roadtrip" class="portfolio-lightbox" >
                                                    <i class="fa fa-expand" aria-hidden="true"></i>
                                                </a>
                                                <a class="portfolio-permalink" href="<?php the_permalink(); ?>">
                                                    <i class="fa fa-link" aria-hidden="true"></i>
                                                </a>
                                            </div>
                                            
                                            <div class="hm-port-excerpt">
                                                <h4 class="hm-port-title" >
                                                    <a href="<?php the_permalink(); ?>">
                                                        <?php the_title(); ?>
                                                    </a>
                                                </h4>
                                            </div>
                                        
                                        </figure>
                                    
                                    </div>
                                </div>
                                <?php 
                                $ta_business_portfolio_count++;
                            endwhile; ?>
                        </div>
                    <?php wp_reset_postdata();endif; ?>
                    
                    <?php if($ta_business_portfolio_layout == 'layout-1'){?>
                </div>
        <?php } ?>
    <?php } ?>
        
</section>