<?php
/**
 * Service Section
 */

$ta_business_service_layout = get_theme_mod('ta_business_service_layout','layout-1');
$ta_business_sections_title_layout = get_theme_mod('ta_business_sections_title_layout','layout-1');
$ta_business_sections_title_icon = get_theme_mod('ta_business_sections_title_icon','fa-heartbeat');
$ta_business_read_more_text = get_theme_mod('ta_business_read_more_text',esc_html__('Read More','ta-business') ); ?>

<section id="home-service-section" class="home-section <?php echo esc_attr($ta_business_service_layout); ?>">
    <div class="tab-container tab-clearfix">
        <?php 
        $ta_business_service_section_title = get_theme_mod('ta_business_service_section_title');
        
       if($ta_business_service_section_title){ ?>
            <div class="tab-home-section-title <?php echo esc_attr( $ta_business_sections_title_layout ); ?>">
            
                <?php if($ta_business_service_section_title){ ?>

                    <h2><?php echo esc_html($ta_business_service_section_title); ?></h2>

                    <?php if( $ta_business_sections_title_layout == 'layout-2' ){ ?>
                        <span><i class="fa <?php echo esc_attr( $ta_business_sections_title_icon ); ?>" aria-hidden="true"></i></span>
                    <?php } ?>

                <?php } ?>
                
            </div>
        <?php }
        
        $ta_business_service_post_1 = get_theme_mod('ta_business_service_post_1');
        $ta_business_service_post_2 = get_theme_mod('ta_business_service_post_2');
        $ta_business_service_post_3 = get_theme_mod('ta_business_service_post_3');
        $ta_business_service_post_4 = get_theme_mod('ta_business_service_post_4');
        $ta_business_service_post_5 = get_theme_mod('ta_business_service_post_5');
        $ta_business_service_post_6 = get_theme_mod('ta_business_service_post_6');
        $ta_business_service_post_7 = get_theme_mod('ta_business_service_post_7');
        $ta_business_service_post_8 = get_theme_mod('ta_business_service_post_8');
        $ta_business_service_section_mid_image = get_theme_mod('ta_business_service_section_mid_image');
        
        if(
        $ta_business_service_post_1 || 
        $ta_business_service_post_2 || 
        $ta_business_service_post_3 || 
        $ta_business_service_post_4 || 
        $ta_business_service_post_5 || 
        $ta_business_service_post_6 || 
        $ta_business_service_post_7 || 
        $ta_business_service_post_8){?>
            <div class="tab-main-service-wrap">
            
                <div class="tab-left-service">
                    <div class="tab-secondary-left-wrap  tab-clearfix">
                        
                        <?php
                        $ta_business_service_post_1_2_3_4_query = new WP_Query(array('post_type' => 'post','pots_per_page'=>-1,'post__in' =>array($ta_business_service_post_1,$ta_business_service_post_2,$ta_business_service_post_3,$ta_business_service_post_4)));
                        if($ta_business_service_post_1_2_3_4_query->have_posts()){
                            while($ta_business_service_post_1_2_3_4_query->have_posts()){
                                $ta_business_service_post_1_2_3_4_query->the_post();
                                $ta_business_service_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'ta-business-service-image');?>
                                
                                <div class="tab-service-wrap tab-clearfix">
                                    
                                    <?php if($ta_business_service_layout == 'layout-2'){ ?>
                                        <?php if($ta_business_service_image[0]){ ?>
                                            <div class="tab-img-service">
                                                <div class="secondary-img-service">
                                                    <a href="<?php the_permalink(); ?>">
                                                        <img alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" src="<?php echo esc_url($ta_business_service_image[0]); ?>"  />
                                                    </a>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    <?php } ?>
                                    
                                    <?php if( get_the_title() || get_the_content() ){ ?>
                                    
                                        <div class="tab-content-service">
                                        
                                            <?php if(get_the_title()){ ?>
                                                <h2>
                                                    <a href="<?php the_permalink(); ?>">
                                                        <?php the_title(); ?>
                                                    </a>
                                                </h2>
                                            <?php } ?>
                                            
                                            <?php if( get_the_content() ){ ?>
                                                <div class="tab-service-desc">
                                                        <?php echo esc_html(wp_trim_words( get_the_content(),10,'') ); ?>
                                                </div>
                                                
                                                <?php if( $ta_business_service_layout == 'layout-2' ){ ?>
                                                    <span>
                                                        <a href="<?php the_permalink(); ?>">
                                                           <?php echo esc_html( $ta_business_read_more_text ); ?>
                                                        </a>
                                                    </span>
                                                <?php } ?>
                                                
                                            <?php } ?>
                                            
                                        </div>
                                    
                                    <?php } ?>
                                    
                                    <?php if( $ta_business_service_layout == 'layout-1' && $ta_business_service_image[0]){ ?>
                                        <div class="tab-img-service">
                                            <div class="secondary-img-service">
                                                <a href="<?php the_permalink(); ?>">
                                                    <img alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" src="<?php echo esc_url($ta_business_service_image[0]); ?>"  />
                                                </a>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    
                                </div>
                            
                            <?php }
                        wp_reset_postdata();} ?>
                <?php if($ta_business_service_layout == 'layout-1'){ ?>
                    </div>
                </div>
                 <?php } ?>
                
                <?php if($ta_business_service_layout == 'layout-1'){ ?>
                
                    <div class="mid-service-image">
                        <?php if($ta_business_service_section_mid_image){?>
                            <div class="tab-mid-service-image">
                                <img alt="<?php esc_attr_e('Service Min Image','ta-business'); ?>" title="<?php esc_attr_e('Service Min Image','ta-business'); ?>" src="<?php echo esc_url($ta_business_service_section_mid_image); ?>" />
                            </div>
                        <?php } ?>
                    </div>
                
                <?php } ?>
                <?php if($ta_business_service_layout == 'layout-1'){ ?>
                <div class="tab-right-service">
                    <div class="tab-secondary-right-wrap  tab-clearfix">
                <?php } ?>
                        <?php
                        $ta_business_service_post_5_6_7_8_query = new WP_Query(array('post_type' => 'post','pots_per_page'=>-1,'post__in' =>array($ta_business_service_post_5,$ta_business_service_post_6,$ta_business_service_post_7,$ta_business_service_post_8)));
                        if($ta_business_service_post_5_6_7_8_query->have_posts()){
                            while($ta_business_service_post_5_6_7_8_query->have_posts()){
                                $ta_business_service_post_5_6_7_8_query->the_post();
                                $ta_business_service_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'ta-business-service-image');?>
                                
                                <div class="tab-service-wrap tab-clearfix">
                                
                                    <?php if($ta_business_service_image[0]){ ?>
                                        <div class="tab-img-service">
                                            <div class="secondary-img-service">
                                                <a href="<?php the_permalink(); ?>">
                                                    <img alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" src="<?php echo esc_url($ta_business_service_image[0]); ?>"  />
                                                </a>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    
                                    <?php if(get_the_title() || get_the_content()){ ?>
                                    
                                        <div class="tab-content-service">
                                        
                                            <?php if(get_the_title()){ ?>
                                                <h2>
                                                    <a href="<?php the_permalink(); ?>">
                                                        <?php the_title(); ?>
                                                    </a>
                                                </h2>
                                            <?php } ?>
                                            
                                            <?php if(get_the_content()){ ?>
                                                <div class="tab-service-desc">
                                                        <?php echo esc_html(wp_trim_words(get_the_content(),10,'')); ?>
                                                </div>
                                                
                                                <?php if($ta_business_service_layout == 'layout-2'){ ?>
                                                    <span>
                                                        <a href="<?php the_permalink(); ?>">
                                                            <?php echo esc_html( $ta_business_read_more_text ); ?>
                                                        </a>
                                                    </span>
                                                <?php } ?>
                                                
                                            <?php } ?>
                                            
                                        </div>
                                    
                                    <?php } ?>
                                </div>
                            
                            <?php }
                        wp_reset_postdata();} ?>
                        
                    </div>
                </div>
                
            </div>
        <?php } ?>
        
        
        
    </div>
</section>