<?php
/**
 * Team Section
 */
$ta_business_team_layout = get_theme_mod('ta_business_team_layout','layout-1');
$ta_business_sections_title_layout = get_theme_mod('ta_business_sections_title_layout','layout-1');
$ta_business_sections_title_icon = get_theme_mod('ta_business_sections_title_icon','fa-heartbeat'); ?>

<section id="home-team-section" class="home-section <?php echo esc_attr($ta_business_team_layout); ?>">
    <div class="tab-container tab-clearfix">
        <div class="secondary-team-wrap">
        <?php 
        $ta_business_team_cat = get_theme_mod('ta_business_team_cat');
        $ta_business_team_section_title = get_theme_mod('ta_business_team_section_title');
        
        if( $ta_business_team_section_title ){ ?>
            <div class="tab-home-section-title <?php echo esc_attr( $ta_business_sections_title_layout ); ?>">
            
                <?php if($ta_business_team_section_title){ ?>

                    <h2><?php echo esc_html($ta_business_team_section_title); ?></h2>

                    <?php if( $ta_business_sections_title_layout == 'layout-2' ){ ?>
                        <span><i class="fa <?php echo esc_attr( $ta_business_sections_title_icon ); ?>" aria-hidden="true"></i></span>
                    <?php } ?>

                <?php } ?>
                
            </div>
        <?php }
        
        if( $ta_business_team_cat ){
            $ta_business_team_query = new WP_Query(array('post_type' => 'post', 'category_name' => $ta_business_team_cat, 'order' => 'DESC', 'posts_per_page' => -1));
            if($ta_business_team_query->have_posts()){ ?>
                
                <div class="main-member-wrap">
                    <div class="secondary-member-wrap">
                        
                        <div class="slider member-nav">
                            <?php while($ta_business_team_query->have_posts()){
                                $ta_business_team_query->the_post(); 
                                $ta_business_member_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-team-image');?>
                                
                                <div class="member-contet-loop member-contet-loop-nav">
                                    <div class="img-wra-member">
                                    
                                        <?php if($ta_business_team_layout == 'layout-2'){ ?>
                                            <a href="<?php the_permalink(); ?>"> 
                                                <?php } ?>
                                                
                                                    <img src="<?php echo esc_url($ta_business_member_img[0]); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
                                                
                                                <?php if($ta_business_team_layout == 'layout-2'){ ?>
                                            </a>
                                        <?php } ?>
                                        
                                    </div>
                                    
                                    <?php if($ta_business_team_layout == 'layout-2'){ ?>
                                        <div class="member-name-designation">
                                            <h2><?php the_title(); ?></h2>
                                        </div>
                                    <?php } ?>
                                    
                                </div>
                                
                            <?php } ?>
                        </div>
                        
                        <?php if($ta_business_team_layout == 'layout-1'){ ?>
                            <div class="slider member-content">
                                <?php while($ta_business_team_query->have_posts()){
                                    $ta_business_team_query->the_post(); 
                                    $ta_business_member_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-team-2-image');?>
                                    
                                    <div class="member-contet-loop member-contet-loop-content">
                                        <div class="content-member-all">
                                            
                                            <?php if($ta_business_member_img[0]){ ?>
                                                <div class="full-member-image">
                                                    <img src="<?php echo esc_url($ta_business_member_img[0]); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
                                                </div>
                                            <?php } ?>
                                            
                                            <?php if(get_the_title() || get_the_content()){ ?>
                                                <div class="member-detail">
                                                    
                                                    <?php if(get_the_title()){ ?>
                                                    <div class="member-name-designation">
                                                        <h2><?php the_title(); ?></h2>
                                                    </div>
                                                    <?php } ?>
                                                    
                                                    <?php if(get_the_content()){ ?>
                                                        <div class="desc-member">
                                                            <?php the_content(); ?>
                                                        </div>
                                                    <?php } ?>
                                                    
                                                </div>
                                            <?php } ?>
                                            
                                        </div>
                                    </div>
                                    
                                <?php } ?>
                            </div>
                        <?php } ?>
                        
                    </div>
                </div>
                
            <?php wp_reset_postdata();}
        }?>
        
        
        </div>
    </div>
</section>