<?php
/**
 * Testimonial Section
 */
?>

<section id="home-testimonial-section" class="home-section">
    <div class="tab-container tab-clearfix">
        <div class="secondary-testimonial-wrap">
        <?php 
        $ta_business_testimonial_cat = get_theme_mod('ta_business_testimonial_cat');
        $ta_business_testimonial_section_title = get_theme_mod('ta_business_testimonial_section_title');
        $ta_business_sections_title_layout = get_theme_mod('ta_business_sections_title_layout','layout-1');
        $ta_business_sections_title_icon = get_theme_mod('ta_business_sections_title_icon','fa-heartbeat');

        if( $ta_business_testimonial_section_title ){ ?>
            <div class="tab-home-section-title <?php echo esc_attr( $ta_business_sections_title_layout ); ?>">
            
                <?php if( $ta_business_testimonial_section_title ){ ?>

                    <h2><?php echo esc_html( $ta_business_testimonial_section_title ); ?></h2>

                    <?php if( $ta_business_sections_title_layout == 'layout-2' ){ ?>
                        <span><i class="fa <?php echo esc_attr( $ta_business_sections_title_icon ); ?>" aria-hidden="true"></i></span>
                    <?php } ?>

                <?php } ?>
                
            </div>
        <?php }
        
        if($ta_business_testimonial_cat){
            $ta_business_testimonial_query = new WP_Query(array('post_type' => 'post', 'category_name' => $ta_business_testimonial_cat, 'order' => 'DESC', 'posts_per_page' => -1));
            if($ta_business_testimonial_query->have_posts()){ ?>
                
                <div class="main-test-wrap">
                    <div class="secondary-test-wrap">
                        
                        <div class="slider test-content">
                            <?php while($ta_business_testimonial_query->have_posts()){
                                $ta_business_testimonial_query->the_post(); ?>
                                
                                <div class="test-contet-loop test-contet-loop-content">
                                    <div class="content-test-all">
                                        
                                        <?php if( get_the_content() ){ ?>
                                            <div class="test-detail">
                                            
                                                <?php if( get_the_content() ){ ?>
                                                    <div class="desc-test">
                                                        <?php echo esc_html(wp_trim_words( get_the_content(),30,'...') ); ?>
                                                    </div>
                                                <?php } ?>
                                                
                                            </div>
                                        <?php } ?>
                                        
                                    </div>
                                </div>
                                
                            <?php } ?>
                        </div>
                        
                        <div class="slider test-nav">
                            <?php while($ta_business_testimonial_query->have_posts()){
                                $ta_business_testimonial_query->the_post(); 
                                $ta_business_test_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'ta-business-team-image');?>
                                
                                <div class="test-contet-loop test-contet-loop-nav">
                                    
                                    <div class="img-title-test">
                                        <div class="img-wra-test">
                                            <img src="<?php echo esc_url($ta_business_test_img[0]); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
                                        </div>

                                        <div class="title-test">
                                            <?php the_title(); ?>
                                        </div>
                                    </div>
                                    
                                </div>
                                
                            <?php } ?>
                        </div>
                        
                        
                        
                    </div>
                </div>
                
            <?php wp_reset_postdata();}
            
            
        } ?>
        
        </div>
    </div>
</section>